Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/connections/{connectionId} \
--header 'Authorization: Bearer <token>'{
"connection": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Production Snowflake",
"dialect": "snowflake",
"database": "analytics_db",
"defaultSchema": "public",
"deletedAt": null,
"baseRole": "QUERIER",
"branchConnectionEnvironmentOverridesUserAttr": false,
"environmentConnectionSwitchesSchemaModel": false,
"userAttributeNameForConnectionEnvironments": null,
"userAttributeValuesForDefaultEnvironment": null
}
}This endpoint requires Restricted Querier permissions or higher.
Fetch a single connection by ID.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/connections/{connectionId} \
--header 'Authorization: Bearer <token>'{
"connection": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Production Snowflake",
"dialect": "snowflake",
"database": "analytics_db",
"defaultSchema": "public",
"deletedAt": null,
"baseRole": "QUERIER",
"branchConnectionEnvironmentOverridesUserAttr": false,
"environmentConnectionSwitchesSchemaModel": false,
"userAttributeNameForConnectionEnvironments": null,
"userAttributeValuesForDefaultEnvironment": null
}
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Connection ID
Connection retrieved successfully
Show child attributes
Was this page helpful?